<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\api\v1\Admin\ServiceItemController;

Route::middleware(['admin'])->group(function () {
    Route::get('/', [ServiceItemController::class, 'index']);
    Route::get('/{service_item_id}', [ServiceItemController::class, 'show']);
    Route::post('/', [ServiceItemController::class, 'store']);
    Route::put('/{service_item_id}', [ServiceItemController::class, 'update']);
    Route::delete('/{service_item_id}', [ServiceItemController::class, 'destroy']);
    Route::patch('/{service_item_id}/toggle-status', [ServiceItemController::class, 'toggleStatus']);
});
